Bug 85029 - Grub does not load splashimage and corrupts the text rendering
Summary: Grub does not load splashimage and corrupts the text rendering
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: grub (Show other bugs)
(Show other bugs)
Version: phoebe
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 23:24 UTC by Andreas Thienemann
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-02 05:44:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of corrupted kernel messages (14.44 KB, image/jpeg)
2003-02-24 23:27 UTC, Andreas Thienemann
no flags Details
Picture of corrupted text (36.87 KB, image/jpeg)
2003-02-24 23:34 UTC, Andreas Thienemann
no flags Details

Description Andreas Thienemann 2003-02-24 23:24:39 UTC
Description of problem: The grub splashscreen with the menu does not show but a
empty black screen with a cursor blinking in the upper left corner is shown
instead (home position).

When the timeout hits the text on the screen is completely corrupted and the
kernel boot messages are illegible.

As soon as the kernel jumps to init however the videomode switches and the text
gets restored.

Version-Release number of selected component (if applicable): grub-0.93-4


How reproducible: Always on this hardware.


Additional info: Commenting out the splashscreen line in /etc/grub.conf is a
workaround as the graphical bootmenu is not displayed and the videomode gets not
switched into b0rken mode.

The videoadapter is an older 16bit ISA card from Video Seven. Model 1024I Plus.

Comment 1 Andreas Thienemann 2003-02-24 23:27:55 UTC
Created attachment 90334 [details]
Photo of corrupted kernel messages

Comment 2 Andreas Thienemann 2003-02-24 23:30:52 UTC
Comment on attachment 90334 [details]
Photo of corrupted kernel messages

Sorry, wrong picture

Comment 3 Andreas Thienemann 2003-02-24 23:34:40 UTC
Created attachment 90336 [details]
Picture of corrupted text

correct picture this time

Comment 4 Jeremy Katz 2003-04-02 05:44:43 UTC
Unfortunately, I'm guessing that your video adapter just doesn't properly
support vga16.  And fixing things like this for ancient video cards that aren't
really supported isn't likely to happen (although patches would be accepted). 
Workaround is to just comment out the splashimage directive in grub.conf.


Note You need to log in before you can comment on or make changes to this bug.